Subject: Re: [PATCH] Force the medium pretty format on calls to git log

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Apr 2008 22:41:35 -0700

Pedro Melo <[email-masked]> writes:

> If a user as set a format.pretty in his config, git-svn rebase will fail
> with:
>
> Unable to determine upstream SVN information from working tree history
>
> We need to force the medium format to obtain the needed information from
> the log.
>
> Signed-off-by: Pedro Melo <[email-masked]>

Thanks.  This should have been part of 9225d7b (specify explicit
"--pretty=medium" with `git log/show/whatchanged`, 2008-03-02) but
apparently we did not do a thorough job.